summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author titopoquito <titopoquito@cooltoad.com>2010-05-11 15:18:47 +0200
committer Eric Hameleers <alien@slackbuilds.org>2010-05-11 15:18:47 +0200
commit27da3ddf82316842257c38fad64e8b8309913a0d (patch)
tree45c0ece353afa3509ed7d99040dc283901f8c609 /system
parent189a6d77200b5c9aa986d7c6faec161702107442 (diff)
downloadslackbuilds-27da3ddf82316842257c38fad64e8b8309913a0d.tar.gz
slackbuilds-27da3ddf82316842257c38fad64e8b8309913a0d.tar.xz
system/unrtf: Initial import
Diffstat (limited to 'system')
-rw-r--r--system/unrtf/README10
-rw-r--r--system/unrtf/slack-desc18
-rw-r--r--system/unrtf/unrtf.SlackBuild85
-rw-r--r--system/unrtf/unrtf.info8
4 files changed, 121 insertions, 0 deletions
diff --git a/system/unrtf/README b/system/unrtf/README
new file mode 100644
index 0000000000..d032832a30
--- /dev/null
+++ b/system/unrtf/README
@@ -0,0 +1,10 @@
+UnRTF is a command-line program written in C which converts
+documents in Rich Text (.rtf) format to HTML, LaTeX, PostScript,
+and other formats. Converting to HTML, it supports a number of
+features of Rich Text Format.
+
+The homepage of unrtf is found at http://www.gnu.org/software/unrtf/unrtf.html.
+
+unrtf does not seem to depend on other packages.
+No incompatibilites with other programs are known so far.
+No special configuration is needed after installing the package.
diff --git a/system/unrtf/slack-desc b/system/unrtf/slack-desc
new file mode 100644
index 0000000000..97573c5cab
--- /dev/null
+++ b/system/unrtf/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+unrtf: unrtf (RTF file converter)
+unrtf:
+unrtf: UnRTF is a command-line program written in C which converts
+unrtf: documents in Rich Text (.rtf) format to HTML, LaTeX, PostScript,
+unrtf: and other formats. Converting to HTML, it supports a number of
+unrtf: features of Rich Text Format.
+unrtf:
+unrtf:
+unrtf:
+unrtf: http://www.gnu.org/software/unrtf/unrtf.html
+unrtf:
diff --git a/system/unrtf/unrtf.SlackBuild b/system/unrtf/unrtf.SlackBuild
new file mode 100644
index 0000000000..46e51e1d7c
--- /dev/null
+++ b/system/unrtf/unrtf.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+# Slackware build script for unrtf
+# Copyright 2007 by titopoquito (titopoquito@cooltoad.com)
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# ---------------------------------------------------------------------------
+# Modified by the SlackBuilds.org Project
+
+# Exit on most errors
+set -e
+
+PRGNAM=unrtf # replace with name of program
+VERSION=0.20.2 # replace with version of program
+ARCH=${ARCH:-i486} # this should not change
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo} # the "_SBo" is required
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM"_"$VERSION.tar.gz
+cd $PRGNAM"_"$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+# Compile the application and install it into the $PKG directory
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/unrtf/unrtf.info b/system/unrtf/unrtf.info
new file mode 100644
index 0000000000..d50e36045e
--- /dev/null
+++ b/system/unrtf/unrtf.info
@@ -0,0 +1,8 @@
+PRGNAM="unrtf"
+VERSION="0.20.2"
+HOMEPAGE="http://www.gnu.org/software/unrtf/unrtf.html"
+DOWNLOAD="http://www.gnu.org/software/unrtf/unrtf_0.20.2.tar.gz"
+MD5SUM="6f2cfe9c94ab61f698c08ca8c07cac67"
+MAINTAINER="titopoquito"
+EMAIL="titopoquito@cooltoad.com"
+APPROVED="alien"